Notes on the documentation

This description is only intended for the use of trained specialists in control and automation engineering who are familiar with the applicable national standards.
It is essential that the following notes and explanations are followed when installing and commissioning these components.

The responsible staff must ensure that the application or use of the products described satisfy all the requirements for safety, including all the relevant laws, regulations, guidelines and standards.

Disclaimer

The documentation has been prepared with care. The products described are, however, constantly under development.
For that reason the documentation is not in every case checked for consistency with performance data, standards or other characteristics.
In the event that it contains technical or editorial errors, we retain the right to make alterations at any time and without warning.
No claims for the modification of products that have already been supplied may be made on the basis of the data, diagrams and descriptions in this documentation.

Trademarks

Beckhoff®, TwinCAT®, EtherCAT®, Safety over EtherCAT®, TwinSAFE® and XFC® are registered trademarks of and licensed by Beckhoff Automation GmbH.
Other designations used in this publication may be trademarks whose use by third parties for their own purposes could violate the rights of the owners.

Patent Pending

The TwinCAT Technology is covered, including but not limited to the following patent applications and patents:
EP0851348, US6167425 with corresponding applications or registrations in various other countries.

Copyright

© Beckhoff Automation GmbH & Co. KG, Germany.
The reproduction, distribution and utilization of this document as well as the communication of its contents to others without express authorization are prohibited.
Offenders will be held liable for the payment of damages. All rights reserved in the event of the grant of a patent, utility model or design.


General

TCatScopeView is an analysis tool with which it is possible to display variables from various software tasks (such as PLC tasks) graphically. Curves can be drawn versus time, or you can choose to see XY displays.

Each Scope View can utilise several channels, the number being limited only by the memory size and computing capacity. For time displays, one variable is assigned to each channel. Two variables per channel are assigned for an XY display.

Structure of the TwinCAT Scope View

TCatScopeView is divided into 3 main windows. A tree is visible on the left, where all the Scope Views and their channels are listed. The Scope Views themselves are on the right, and contain plots of the selected channels.

The lower window displays the properties of the element currently selected in the tree structure.


General operating facilities

In order for TCatScopeView to be able to record variables from a software task, a configuration must either be loaded or created.

This section describes the creation of a new configuration and the possible settings associated with that process.

Context menu

Insert tree elements

Tree elements can be inserted by means of the context menu. The base element under which the new element is to be inserted must first be selected.

The context menu can be opened with the right hand mouse button, or with the <ALT + Enter> key combination. Each element at which it is possible to insert a sub-element has a corresponding item in the context menu.

Delete a tree element

There are a number of possible ways to delete a tree element. The first step to deleting an element is that it is selected in the tree structure.

  • <Del> key
  • Context menu: each element in the tree structure that can be deleted has a corresponding item in the context menu.

Rename a tree element

There are several ways to rename a tree element. The first step here again is that the element is selected.

  • <F2> key
  • Mouse: click with the left mouse button on the element’s text field

Using the keyboard to change window

With the <F6> key you can switch back and forth between the tree structure and the property pages.


Inserting a Scope View

The way in which a Scope View element can be inserted into the tree structure is described under "General operating facilities".

The following dialogue is opened by clicking on "Insert a Scope View..":

It is possible to choose here whether the plot should be drawn against time, or whether an XY display should be generated.

After a Scope View element has been inserted into the tree structure, the right hand side initially shows an empty Scope View, i.e. one that does not yet contain any channels. However, before a channel is added, the properties of the Scope View should be resolved. The individual property pages are described for this purpose below.

If you now quickly want to record channels, you can in fact go straight to the section on ”Inserting a Channel”, and continue there using the standard settings for the properties of the Scope View.

General

The ”General” property page shows the name of the currently selected Scope View. The name in the tree structure is the same as that shown here, and can also be altered here.

Note:

The comment is included when the Scope View is printed.

Properties

Show Scope

TCatScopeView is able to show a number of Scope Views at the same time. The ”Show Scope” check-box specifies whether the Scope View is displayed in online mode (recording). If this flag is not active, no channels are recorded in online mode, and can therefore not be displayed later either.

Standard & Ring Buffer

There are basically two different methods to record the plot of a Scope View.

If ”Standard” is selected (default), the channels of the Scope View are recorded after the trigger signal for the time specified for the duration of the recording. The values are displayed from left to right. Once the recording duration has elapsed, online mode is automatically ended.

Alternatively, the ring buffer can be selected. In this mode, recording continues until the online mode is ended explicitly. In that case, the current value is always displayed at the right hand edge of the Scope View, while the old values are correspondingly shifted to the left.

The "Displayed Length" refers here to the time period whose values are directly displayed in the Scope View. In offline mode it is also possible for older values to be displayed, where the ”history length” is given by the recording duration.

Refresh rate

The refresh rate refers to the time within which the Scope View is updated. It should be noted that a fast refresh calls for higher computer performance.

ADS Delay

The values of a channel to be displayed are conveyed to the TCatScopeView by ADS. ADS Delay allows the block size or the number of ADS messages to be affected.

This value should not be normally be changed.

Background

The "Change Background" button allows the background colour of the Scope View to be changed.

Trigger

As has already been explained, it is possible to trigger on the basis of particular events. At least one channel must be present in Scope View for this.

Inserting a trigger condition

The ”Channels” combo-box lists all the channels in a Scope View that are not present in the trigger list (see illustration above). In order to insert a channel into the trigger list it must first be selected in the combo box. In the next step, the ”Trigger as...” button must be selected.

By clicking on the flank symbol it is possible here to select whether to trigger on a rising or falling edge. The threshold value can also be edited.

Note

In order for triggering to occur it is necessary, in the case of a rising edge, for the value to have previously fallen below the threshold value. Precisely the opposite applies to falling edges.

Combining trigger conditions

It is possible to set trigger conditions to the right of the trigger list. All the elements in the trigger list can be combined with either a logical ”AND” or with a logical ”OR”.

If these conditions are not enough it is possible to program a trigger condition in, for example, the PLC task. The result of this condition can be assigned to a PLC variable. That allows TCatScopeView also to access the variable. It can now be added to the Scope View as the ”trigger channel”.

Automatic Trigger

It is also possible to perform ”endless recording” with the standard buffer. In that case, "Automatic Trigger" is to be activated.

This will check the trigger condition again after the end of the plot has been reached. If the condition is satisfied, the old plot is cleared and a new one is recorded.

Manual Trigger

It can also happen that the recording is to be started manually. In order to avoid the need to remove all the channels from the trigger list, a manual trigger is provided. If this is activated, recording starts.

Editing the Trigger Channels

If it is necessary to change the triggering properties of a channel at a later time, the appropriate channel must be selected within the trigger list. Using the right mouse button the context menu shown on top here can be opened. By selecting the 'Edit..' menu item, the "Edit trigger" dialogue is opened.

Cursor

See also "Analysis of a Scope View - Cursors"


TwinCAT Scope View

Inserting a Channel

In order to be able to record the variables of the software task (e.g. the PLC task) they must be described in TCatScopeView. Each variable to be displayed is assigned to a channel in the Scope View.

The procedure for inserting a channel is the same as that for inserting a Scope View.

The property pages for the channels are described again in what follows.

General

See also "Adding a Scope View - General"

Acquisition

This page is used to describe the variable that is to be recorded. In order to edit the values, click on "Change...", which will open the following dialogue:

There are various methods of accessing a variable. The choice is made by means of the radio buttons displayed under Reference (upper left of the dialogue).

Reference | Description
Symbol name | The variable can be directly selected from the list. It is, however, important to ensure that the correct server port is chosen.
Index group/offset | In those cases where symbols has not been generated it is also possible to access the variables by index offset and group. The corresponding addresses can be found in the ADS Device Documentation.
Directly by symbol | It is not absolutely necessary for all the symbols to be read in order to access variables symbolically. If the name is known it can be used to access the variable.

AMS Net ID

The AMS Net ID of the target system can be given here. This is normally set to ”local”, so that the AMS Net ID of the computer on which TCatScopeView is currently running is used.

Server Port

The Server Port must always be given. See also "Appendix - How do I find the correct port?" for how to determine the port.

The port information for the PLC is found in the system manager under PLC configuration and IEC project.

The port for the NC or NC I is to be taken from the SAF configuration.

If symbol names are used, the symbols can be read with "Reload Symbols" and selected with a click.

Note

When recording variables from the NC or from the CNC it is necessary that symbol generation is activated in the System Manager, since otherwise the symbols cannot be read (see also Appendix - Generating the NC Symbols).

Note

If the symbols of a PLC task are to be read, they must be selected in the PLC project (cf. instructions for PLC Control - Options).

Cycle time

For the cycle time it is possible to choose between a user-defined cycle time and the task cycle time. It should be noted here that the value entered for a user defined cycle time must always be a multiple of the true cycle time.

Display

This property page is used to specify how the plot is to be displayed in the Scope View.

Y-Axis

There are two possibilities for the selection of the Y-axis. It is possible to create an individual Y-axis. It is necessary in that case to specify the lower and upper bounds. It is also possible for one Y-axis to be linked to another. In that case the display bounds are adopted from the given channel, and no separate Y-axis is displayed.

Show Channel

The "Show Channel" switch allows the display of a channel in the Scope View to be activated or deactivated.

Offset and Scaling

An offset and a scale factor can be given for each channel. The value read in is then first multiplied by the scale factor, after which the offset is added.

since TwinCAT Version 2.9 Build 1022 (Scope Build 195)

In the xt-view it is possible to enter an offset for the timeline (offset x-value). So each channel can be moved on the timeline. Changing to online-mode sets this offset autmatically back to zero.

Style

The way in which the plot is shown in the Scope View is described on the "Style" properties page. This includes the colour and width of the pen. "Style" is also used to define the kind of line, e.g. solid, broken etc.. It should be noted, however, that the line is always solid if the width of the pen has any value other than 1.

It is often helpful for closer analysis if the individual support points can be seen. This can also be set on this page.

Note:

In online mode it is better if at all possible not to draw the support points, as this demands a significant increase in computing power.


Online Mode

Once a configuration has been created or loaded, the online mode can be activated. A necessary precondition is that the TwinCAT System Service is running (the TwinCAT icon in the task bar is green).

Online mode is activated with the <F5> key, or by pressing the illustrated button.

It is not possible to add or remove channels while TCatScopeView is in online mode. It is also not possible to edit them at this stage.

Recording begins as soon as the trigger condition is satisfied. According to the Scope View setting, online mode will either end automatically or it will have to be stopped manually.

If there are no trigger conditions, recording starts immediately.

Online mode can be ended with the <F5> key, or by pressing the illustrated button in the toolbar.


Analysis of a Scope View

Cursor

Two cursors are available to TCatScopeView. The selection is made by way of the 'Cursor' properties page that is associated with the Scope View.

There are a number of ways of moving the cursor in Scope View.

If the cursor is to be moved by the mouse, the Scope View in which the cursor is located must first be selected. Next, the cursor button in the toolbar must be activated. The cursor can now be moved by pressing the left mouse button on the cursor and holding it down.

If the cursor is to be moved with the arrow keys, the cursor that is to be moved must first be selected in the properties page (click with the right mouse button). If that is done, the cursor can be moved with the arrow keys. If the cursor is moved in a vertical direction, the next recorded point is always shown. In a horizontal direction the cursor is always moved by one point.
Using the <Alt> and arrow keys together the cursor is shifted by 10 reference points.

The Y-values displayed in the cursor list describe either the intersection with the curve or the intersection with the horizontal cursor. The selection is made by means of the two buttons that are located at the top of the properties page.

Note:

In the X against Y display, only the cursor position is returned.

Zoom

Zooming with the Mouse

As well as the cursors, TCatScopeView offers the option of zooming in to a part of the Scope View. First, the Scope View that is to be magnified must be selected. Then the zoom button must be activated in the toolbar. The mouse can then be used to mark the area that is to be magnified. The left mouse button must be held down for this purpose.

If the wrong area is accidentally marked, the right mouse button can also be pressed. This removes the selection.

To undo the zoom, it is possible either to press the zoom-out button in the toolbar, or to press the <O> key. It is necessary for the ‘Cursor‘ properties page to be active for keyboard operation.

Zooming with the Cursor

In is not absolutely necessary to use the mouse to magnify a Scope View. The area that is to be magnified can be marked with the aid of the cursor. It is, however, necessary for this purpose that both cursors are displayed. Once the cursors have been brought to the desired position the <Z> key can be used to magnify the area framed by the two cursors.

It is again, however, necessary for the ‘Cursor‘ properties page to be active for this purpose.


Data backup

Saving the Configuration

There are various ways of saving the entire TCatScopeView configuration. It can be done either directly by pressing the 'Save' button, or by way of the menu.

It must however be noted here, that these methods only save the configuration, and not any plots that may have been recorded. The way in which they can be saved is described in more detail below.

Exporting / Importing a Project

A project is exported by again using the context menu in the tree structure.

When a project is exported in this way, all the Scope Views (plots) are saved as, well as the configuration.

The project can then be loaded again by means of the menu item 'Import Project...'.

Exporting / Importing a Scope View

If it is not the whole project, but just some individual Scope Views that are to be exported, the menu item 'Export Scope View...' can be used. As in the case of exporting a project, the configuration data are also saved in this case.

Importing a Scope View is done via the base element in the tree structure. Its context menu contains the menu item 'Import Scope View...', by means of which a Scope View can be loaded.

Exporting / Importing a Channel

It is also possible to export single channels. In this case the plot itself is saved along with the channel-specific configuration.

A channel is imported through the Scope View’s context menu. The channel to be imported is appended to the channels that already exist.

Exporting as an ASCII Table

The Scope View context menu can also be used to export the recorded values as an ASCII file. This makes it possible, for instance, to import the data into Origin or Excel.

Summary of data formats

Suffix | Description
.scp | Saving the Configuration
.spr | Exporting / Importing a Project
.svw | Exporting / Importing a Scope View
.cha | Exporting / Importing a Channel
.dat | Export an ASCII table

Save with older file format

since Scope Build 193

The file format has changed with Scope Build 193. To save a file with an older format, select it in the save-dialog.


Miscellaneous

Print

In order to print a Scope View it must first be selected. Only that region of the Scope View that is currently displayed is sent to the printer.

Changing the AMS Net ID in a Scope View

The Scope View context menu can be used to change the AMS Net ID for all a Scope View’s channels. The present AMS Net ID is suggested as standard.


How do I find the correct port?

In order to be able to acquire data with the Scope View it is essential that the port is given in the course of describing the variables (see also Adding a Channel - Acquisition). This can be found through the System Manager.

PLC port

The port for the PLC is to be found on the "IEC1131" properties page. To see this page, click on the PLC project under the PLC configuration.

NC port

To find the NC port, click in the System Manager under NC configuration on the corresponding NC task. The port can then be found on the "Task" properties page.


Generating the symbols for the NC

It is necessary for these to be generated in order to be able to access the NC variables symbolically. This is done by activating the "Generate symbols" checkbox in the System Manager. It is possible here to generate symbols for every axis. It is also possible to generate symbols for the encoder, the drive and the controller. These are not, however, generally of great importance, and should only be generated when needed.